Bug 204565 - Wireshark missing symlink in default install
Wireshark missing symlink in default install
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: wireshark (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-29 20:57 EDT by Gordon Ewasiuk
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version: RHSA-2006-0658
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-13 02:24:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gordon Ewasiuk 2006-08-29 20:57:09 EDT
Description of problem:

The default installation of Wireshark looks for dumpcap in /usr/bin.  There is
no dumpcap in /usr/bin.  It is found in /usr/sbin.

Version-Release number of selected component (if applicable):

wireshark-gnome-0.99.2-EL4.1
wireshark-0.99.2-EL4.1

How reproducible:

100%.  Removal and reinstallation of wireshark produce the same error condition.

Steps to Reproduce:

1. Install RHEL4 WS and wireshark/wireshark-gnome
2. Start wireshark.
3. Attempt to capture packets on any non-loopback network interface.

Actual results:

Popup window:  Child capture process exited:  exit status 2
Popup window:  Couldn't run /usr/bin/dumpcap in child process:  No such file or
directory.

Expected results:

Packet capture starts without error.

Additional info:

The fix:
# ln -s /usr/sbin/dumpcap /usr/bin/dumpcap

[root@neptune ~]# uname -a
Linux neptune.domain 2.6.9-42.ELsmp #1 SMP Wed Jul 12 23:27:17 EDT 2006 i686
i686 i386 GNU/Linux
[root@neptune ~]# cat /etc/redhat-release
Red Hat Enterprise Linux WS release 4 (Nahant Update 4)
Comment 1 Radek Vokal 2006-09-13 02:24:33 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0658.html

Note You need to log in before you can comment on or make changes to this bug.